Extending Qt Creator Manual | BaseFileFilter

Extending Qt Creator Manual 4.5.2

# BaseFileFilter Class

(Core::BaseFileFilter)

Inherits: | Core::ILocatorFilter

- List of all members, including inherited members

## Public Types

class | Iterator
class | ListIterator

## Public Functions

| BaseFileFilter()
| ~BaseFileFilter()

## Reimplemented Public Functions

virtual void | accept(LocatorFilterEntry selection, QString *newText, int *selectionStart, int *selectionLength) const override
virtual QList<LocatorFilterEntry> | matchesFor(QFutureInterface<LocatorFilterEntry> &future, const QString &entry) override
virtual void | prepareSearch(const QString &entry) override

- 19 public functions inherited from Core::ILocatorFilter

## Protected Functions

QSharedPointer<Iterator> | fileIterator()
void | setFileIterator(Iterator *iterator)

- 5 protected functions inherited from Core::ILocatorFilter

### Additional Inherited Members

- 1 public slot inherited from Core::ILocatorFilter
- 8 static public members inherited from Core::ILocatorFilter

## Member Function Documentation

### BaseFileFilter::BaseFileFilter()

Default constructs an instance of BaseFileFilter.

### BaseFileFilter::~BaseFileFilter()

Destroys the instance of BaseFileFilter.

### `[override virtual]` void BaseFileFilter::accept(LocatorFilterEntry selection, QString *newText, int *selectionStart, int *selectionLength) const

### `[protected]` QSharedPointer<Iterator> BaseFileFilter::fileIterator()

See also setFileIterator().

### `[override virtual]` QList<LocatorFilterEntry> BaseFileFilter::matchesFor(QFutureInterface<LocatorFilterEntry> &future, const QString &entry)

### `[override virtual]` void BaseFileFilter::prepareSearch(const QString &entry)

### `[protected]` void BaseFileFilter::setFileIterator(Iterator *iterator)

Takes ownership of the iterator. The previously set iterator might not be deleted until a currently running search is finished.

See also fileIterator().